I-Mockery Forum

I-Mockery Forum (http://i-mockery.com/forum/index.php)
-   Questions, Suggestions, and Tech Support (http://i-mockery.com/forum/forumdisplay.php?f=8)
-   -   Wordpress help (http://i-mockery.com/forum/showthread.php?t=69708879)

Dr. Boogie Dec 12th, 2012 01:46 AM

Wordpress help
 
My brother is having some sort of problem with his Wordpress blog, and I don't know a thing about it.

When he tries to access the admin page, he gets these two error messages:


Parse error: syntax error, unexpected T_STRING in /home/content/22/6362022/html/wp-includes/functions.php(2086) : runtime-created function(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code on line 1


and this one right below it:


Warning: Cannot modify header information - headers already sent by (output started at /home/content/22/6362022/html/wp-includes/functions.php(2086) : runtime-created function(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code(1) : eval()'d code:1) in /home/content/22/6362022/html/wp-includes/pluggable.php on line 890


I'm no web designer, but the first line in that functions.php file is just "<?php", and GoDaddy's editor doesn't seem to number the different lines, so I don't know what's going on in line 890 of the pluggable.php file.

I can post more details tomorrow, but does anyone know offhand what needs to be fixed here? He says he hardly ever updates the thing except to paste in new links/pictures, so I wonder if he hasn't been hacked.

dextire Dec 13th, 2012 08:51 PM

pluggable.php is the built-in Wordpress plugins handler. It looks like one of the plugins he's using isn't compatible with the version of Wordpress that he's using.
I'd have him update Wordpress and all of the plugins first, and if that doesn't fix it, have him disable all of the plugins and re-enable them one-by-one until he finds the culprit.

Then if that doesn't work because Wordpress barfs at the slightest little thing, have him move to something like Squarespace. :lol


All times are GMT -4. The time now is 12:37 AM.

Powered by: vBulletin
Copyright ©2000 - 2017, Jelsoft Enterprises Ltd.